$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.4.3/sfk194.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.4.3/sfk194.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '2b507d964be35a17c043d4f33e5f6a1861906c4b3920de3a599e1f37a639bb12'
  checksumType  = 'sha256'
  checksum64    = '2b507d964be35a17c043d4f33e5f6a1861906c4b3920de3a599e1f37a639bb12'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
